new_blog/mysite/blog/urls.py
from django.urls import path
from .views import PostListView, PostDetailView
from . import views

app_name = 'blog'

urlpatterns = [
    # path('',views.post_list, name='home'),
    path('',PostListView.as_view(), name='home'),
    # path('<int:pk>/<slug:slug>/', views.post_detail, name='detail'),
    path('<int:pk>/<slug:slug>/', PostDetailView.as_view(), name = 'detail'),
    path('category/<slug:slug>/',views.post_by_category,name='post_by_category'),
    path('tag/<slug:slug>/', views.post_by_tag, name = 'post_by_tag'),
    path('blog/',views.test_redirect, name = 'test_redirect'),
    path('feedback/',views.feedback, name = 'feedback'),

]

new_blog/mysite/cadmin/urls.py
from django.urls import path
from . import views
from django.contrib.auth import views as auth_views
from .views import PostCreateView, PostUpdateView, PostDeleteView


app_name = 'cadmin'

urlpatterns = [
    path('activate/account/', views.activate_account, name = 'activate'),
    path('register/', views.register, name = 'register'),
    path('login/', auth_views.LoginView.as_view(template_name = 'cadmin/login.html'), name = 'login'),
    path('logout/', auth_views.LogoutView.as_view(template_name = 'cadmin/logout.html'), name = 'logout'),
    path('profile/',views.profile,name= 'profile'),
    # path('post/add/',views.post_add,name= 'post_add'),
    path('post/add/', PostCreateView.as_view(),name = 'post-create'),
    # path('post/update/<int:pk>/', views.post_update, name = 'post_update'),
    path('post/update/<int:pk>/', PostUpdateView.as_view(), name = 'post-update'),
    path('post/delete/<int:pk>/', PostDeleteView.as_view(), name = 'post-delete')



]

new_blog/mysite/templates/base.html
{% load static %}

<!DOCTYPE html>
<html lang="en">
<head>
    <meta charset="UTF-8">
    <meta name="viewport" content="width=device-width, initial-scale=1.0">
    <title>{%block title%}Django Blog{%endblock%}</title>
    <!-- <link rel="stylesheet" href="{% static 'css/style.css' %}"> -->
    <!-- Compiled and minified JavaScript -->
    <script src="https://ajax.googleapis.com/ajax/libs/jquery/3.5.1/jquery.min.js"></script>
    <script src="https://cdnjs.cloudflare.com/ajax/libs/materialize/1.0.0/js/materialize.min.js"></script>
    <script>
      $(document).ready(function(){
        $('select').formSelect();
      });
    </script>
    <!-- Compiled and minified CSS -->
    <link rel="stylesheet" href="https://cdnjs.cloudflare.com/ajax/libs/materialize/1.0.0/css/materialize.min.css">
  
    
  
  
    <!-- Google fonts -->
    <link rel="stylesheet" href="https://fonts.googleapis.com/icon?family=Material+Icons">
</head>
<body>

  <nav>
    <div class="container nav-wrapper">
      <a href="/" class="brand-logo">Django Blog</a>
      <ul id="nav-mobile" class="right hide-on-med-and-down">
        <li><a href="/">Home</a></li>
        <li><a href="{%url 'blog:feedback' %}">Feedback</a></li>
        {%if user.is_authenticated %}
          <li><a href="{%url 'cadmin:profile' %}">Dashboard</a></li>
          <li><a href="{%url 'cadmin:logout' %}">Logout</a></li>
        {% else %}
          <li><a href="{%url 'cadmin:login' %}">Login</a></li>
          <li><a href="{%url 'cadmin:register' %}">Register</a></li>
        {% endif %}

      </ul>
    </div>
  </nav>
 

  <div class="container">
    {% block content %}

    {% endblock content%}
</div>
        
    
</body>

</html>